Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Class SAGConstants.C_Sw_AcceptStatus4Sw_NotifySnF

    java.lang.Object
      com.stc.connector.sagadapter.sagapi.SAGConstants.C_Sw_AcceptStatus4Sw_NotifySnF

Enclosing class:
  SAGConstants

    public static class SAGConstants.C_Sw_AcceptStatus4Sw_NotifySnF

extends java.lang.Object

Constants for Sw_AcceptStatus (for Sw_NotifySnF)

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2007/07/06 23:52:30 $
Author:
  Harry Liu (harry.liu@sun.com)

Constructor Summary
`SAGConstants.C_Sw_AcceptStatus4Sw_NotifySnF()`

Method Summary
`static java.lang.String` | `getAccepted()` Returns ACCEPT_STATUS_NOTIFY_SNF_ACCEPTED.
`static java.lang.String` | `getDuplicated()` Returns ACCEPT_STATUS_NOTIFY_SNF_DUPLICATED.
`static java.lang.String` | `getFailed()` Returns ACCEPT_STATUS_NOTIFY_SNF_FAILED.
`static java.lang.String` | `getRejected()` Returns ACCEPT_STATUS_NOTIFY_SNF_REJECTED.
`static boolean` | `hasValue(java.lang.String value)` Checks whether the constant category has/contains the specified value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAGConstants.C_Sw_AcceptStatus4Sw_NotifySnF

    public SAGConstants.C_Sw_AcceptStatus4Sw_NotifySnF()

Method Detail

### getAccepted

    public static final java.lang.String getAccepted()

  Returns ACCEPT_STATUS_NOTIFY_SNF_ACCEPTED.

  Parameters:
    None.

  Returns:
    `String` - Returns ACCEPT_STATUS_NOTIFY_SNF_ACCEPTED.
  Throws:
    None.

### getRejected

    public static final java.lang.String getRejected()

  Returns ACCEPT_STATUS_NOTIFY_SNF_REJECTED.

  Parameters:
    None.

  Returns:
    `String` - Returns ACCEPT_STATUS_NOTIFY_SNF_REJECTED.
  Throws:
    None.

### getDuplicated

    public static final java.lang.String getDuplicated()

  Returns ACCEPT_STATUS_NOTIFY_SNF_DUPLICATED.

  Parameters:
    None.

  Returns:
    `String` - Returns ACCEPT_STATUS_NOTIFY_SNF_DUPLICATED.
  Throws:
    None.

### getFailed

    public static final java.lang.String getFailed()

  Returns ACCEPT_STATUS_NOTIFY_SNF_FAILED.

  Parameters:
    None.

  Returns:
    `String` - Returns ACCEPT_STATUS_NOTIFY_SNF_FAILED.
  Throws:
    None.

### hasValue

    public static final boolean hasValue(java.lang.String value)

  Checks whether the constant category has/contains the specified value.

  Parameters:
    `value` - The value to be checked.
  Returns:
    true or false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.